package com.persagy.account.pojo.vo.account;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年4月7日:	下午3:53:19
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountGroupVO extends BaseUserModel {

	@ApiModelProperty(value = "集团编码，作为SQL条件", required = true, example = "RC")
	private String groupCode; 	// 所属集团编码
	
	@ApiModelProperty(value = "账号密码", required = true, example = "741852963")
	private String oldPassword; 	// 账号密码

	@ApiModelProperty(value = "账号密码", required = true, example = "741852963")
	private String newPassword; 	// 账号密码
	
}
