package com.persagy.account.pojo.vo.auth;

import java.util.List;

import javax.validation.Valid;
import javax.validation.constraints.NotEmpty;

import com.persagy.common.model.BaseUserModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月26日:	上午11:24:05
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountProjectBatchVO extends BaseUserModel {
	
	@Valid
	@NotEmpty(message = "权限集合，不可为空")
	@ApiModelProperty(value = "权限集合", example = "Pj123456789")
	private List<AccountProjectResetVO> auths; //权限集合
	
}
