package com.persagy.account.pojo.vo.menu;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * 菜单信息
 * 
 * @version 1.0.0
 * @company persagy
 * @author zhangqiankun
 * @date 2021-03-13 15:29:50
 */
@Getter
@Setter
@ToString
@ApiModel
public class SaasMenuDeleteVO extends BaseGroupModel {

	@NotBlank(message = "菜单ID，不可为空")
	@ApiModelProperty(value = "菜单ID", example = "123456")
	private String id; // 菜单ID
	
}
