package com.persagy.account.service.impl;

import java.util.List;

import org.springframework.stereotype.Service;

import com.persagy.common.service.impl.SuperServiceImpl;
import com.persagy.account.mapper.SaasProductPageMapper;
import com.persagy.account.pojo.dto.SaasProductPage;
import com.persagy.account.service.ISaasProductPageService;

/**
 * 产品页面配置
 * 
 * @version 1.0.0
 * @company persagy 
 * @author zhangqiankun
 * @date 2021-05-06 10:12:47
 */
@Service
public class SaasProductPageServiceImpl extends SuperServiceImpl<SaasProductPageMapper, SaasProductPage> implements ISaasProductPageService {

	@Override
	public List<SaasProductPage> queryGroupProductPages(String groupCode, String productId, String angle) {
		return this.baseMapper.queryGroupProductPages(groupCode, productId, angle);
	}

	@Override
	public List<SaasProductPage> queryProjectProductPages(String groupCode, String projectId, String productId, String angle) {
		return this.baseMapper.queryProjectProductPages(groupCode, projectId, productId, angle);
	}

	@Override
	public List<SaasProductPage> queryAccountProductPages(String accountId, String productId, String menuId, String parentId, String angle) {
		return this.baseMapper.queryAccountProductPages(accountId, productId, menuId, parentId, angle);
	}

}
