package com.persagy.sso.aop;

import com.alibaba.excel.exception.ExcelAnalysisException;
import com.persagy.common.aop.GlobalBussinessExceptionHandler;
import com.persagy.common.enums.ResponseCode;
import com.persagy.common.exception.BusinessException;
import com.persagy.common.utils.ResponseResult;
import com.persagy.common.utils.ResponseResultUtil;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.lang.StringUtils;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.bind.annotation.RestControllerAdvice;

import java.sql.SQLIntegrityConstraintViolationException;

/**
 * @description 
 * @author zhangqiankun
 * @since 2020年8月26日:	下午5:17:08
 */
@Slf4j
@RestControllerAdvice
public class GlobalExceptionHandler extends GlobalBussinessExceptionHandler {
	

	/**
	 * @Description: 业务异常处理
	 * @Author: xgq
	 * @Date: 2021/4/13 23:15
	 * @param exception:
	 * @return: null
	 **/
//    @ExceptionHandler(BusinessException.class)
//    public ResponseResult handleRuntimeException(BusinessException exception) {
//        if(StringUtils.isNotBlank(exception.getErrorCode())){
//            return ResponseResultUtil.errorResult(exception.getErrorCode(), exception.getErrorDesc());
//        }
//        return  ResponseResultUtil.errorResult(ResponseCode.A10000.getCode(), exception.getErrorDesc());
//    }

    /**
     * @Description: 异常处理
     * @Author: xgq
     * @Date: 2021/4/16 12:22
     * @param exception:
     * @return: com.persagy.common.utils.ResponseResult
     **/
//    @ExceptionHandler(Exception.class)
//    public ResponseResult handleException(Exception exception) {
//        return  ResponseResultUtil.errorResult(ResponseCode.A10000.getCode(), exception.getMessage());
//    }
}
