package com.persagy.sso.pojo.dto;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @ClassName : AccountDTO
 * @Author ：xgq
 * @Date ：Created in 2021/4/16 0:42
 * @Description： TODO
 * @Version : 1.0
 */
@Data
@ApiModel(value = "查询账号入参")
public class AccountDTO {

    private  String appId;

     /**账号所属, 0-运维系统账号，1-业务账号 **/
    private String accountBelong;

    /**账号类型, 0-超级管理员(所有集团)，1-单集团管理员(单集团)，2-普通账号 */
    private String accountType;

    /**账号来源，万达集团：201 **/
    private String accountSource;

    /**集团编码**/
    private String groupCode;

    private String username;

    private String roleId;

    /** id集合 **/
    private List<String> ids;

    private String accountId;
}
