package com.persagy.account.pojo.vo.auth;

import javax.validation.constraints.NotBlank;

import com.persagy.common.model.BaseGroupModel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月26日:	上午11:24:05
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountProjectCreateVO extends BaseGroupModel {
	
	@NotBlank(message = "区域ID，不可为空")
	@ApiModelProperty(value = "区域ID", example = "1001")
	private String areaId; 		// 区域ID
	
	//@NotBlank(message = "项目ID不可为空")
	@ApiModelProperty(value = "项目ID，作为SQL条件", example = "Pj123456789")
	private String projectId; // 项目ID
	
}
