package com.persagy.account.pojo.vo.auth;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;

/**
 * @version 
 * @description 
 * @company persagy
 * @author zhangqiankun
 * @since 2021年3月26日:	上午11:24:05
 */
@Getter
@Setter
@ApiModel
@ToString
public class SaasAccountProjectPageVO extends SaasAccountProjectQueryVO {
	
	@Min(value = 1, message = "分页页码，不可低于1")
	@NotNull(message = "分页页码，不可为空")
	@ApiModelProperty(value = "分页页码", example = "1", required = true)
	private Integer page;

	@Min(value = 1, message = "分页大小，不可低于1")
	@NotNull(message = "分页大小，不可为空")
	@ApiModelProperty(value = "分页大小", example = "10", required = true)
	private Integer size;
	
}
